<cfparam name="zipcode" default="43506">
<cfparam name="dist" default="50">

<h2>ZipRadius.cfc Demonstration</h2>
<p>This is for the United States only. ZipRadius.cfc will return a comma delimted list of zipcdes in a specific radius (default is 50 miles).</p>
<div style="border: 1px solid #000000; background: #CCCCCC; padding: 8px;"><strong>Sample Usage</strong>
<p>&lt;cfinvoke component=&quot;zipradius&quot; method=&quot;getradiuszips&quot; zipcode=&quot;43506&quot; radius=&quot;50&quot; dsn=&quot;yourcoldfusiondsn&quot; returnvariable=&quot;ziplist&quot;&gt;</p>
<p>&lt;cfoutput&gt;#ziplist#&lt;/cfoutput&gt;</p>
</div></p>
<form method="post" action="zipradius.cfm" name="zipradius">
<cfoutput><p>Enter a zip code: <input type="text" size="10" name="zipcode" id="zipcode" value="#zipcode#" required="yes"></p></cfoutput>
<p>Select Distance: 
  <label>
  <select name="dist" id="dist">
    <option value="10" <cfif dist IS 10>selected="selected"</cfif>>10 Miles</option>
    <option value="20" <cfif dist IS 20>selected="selected"</cfif>>20 Miles</option>
    <option value="30" <cfif dist IS 30>selected="selected"</cfif>>30 Miles</option>
    <option value="40" <cfif dist IS 40>selected="selected"</cfif>>40 Miles</option>    
    <option value="50" <cfif dist IS 50>selected="selected"</cfif>>50 Miles</option>
    <option value="75" <cfif dist IS 75>selected="selected"</cfif>>75 Miles</option>
    <option value="100" <cfif dist IS 10>selected="selected"</cfif>>100 Miles</option>
  </select>
  </label>
</p>
<p>
  <label>
  <input type="submit" name="button" id="button" value="Submit">
  </label>
</p>
</form>

<cfif isdefined('form.zipcode')>
<cfif len(trim(form.zipcode)) GT 0>
<div style="border: #006600 solid 2px; padding: 8px;">
	<cfinvoke component="zipradius" method="getradiuszips" zipcode="#form.zipcode#" radius="#form.dist#" dsn="code_samples" returnvariable="qzips">
    <cfoutput>Found the following cities were found within #dist# Miles of #form.zipcode#</cfoutput>
    <table width="650" cellpadding="6" cellspacing="0">
    <tr>
    	<td>Zip Code</td>
        <td>City</td>
        <td>State</td>
    </tr>
	<cfoutput query="qzips">
	<tr>
    	<td>#zipcode#</td>
        <td>#city#</td>
        <td>#state#</td>
    </tr>
    </cfoutput>
	</table>
    </div>
</div>
</cfif>
</cfif>